package com.gyee.table.controller;

import com.gyee.table.entity.TableHeaderColumn;
import com.gyee.table.mapper.ObjectAllMapper;
import com.gyee.table.service.ITableHeaderColumnService;
import com.gyee.table.service.ITableHeaderService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author gfhd
 * @since 2023-01-11
 */
@RestController
@RequestMapping("/table")
public class TableHeaderController {

    @Resource
    private ITableHeaderService tableHeaderService;
    @Resource
    private ITableHeaderColumnService tableHeaderColumnService;
    @Resource
    private ObjectAllMapper objectMapper;

    @GetMapping("/header/{headername}")
    private List<TableHeaderColumn> header(@PathVariable String headername){
        List<TableHeaderColumn> header = tableHeaderService.getHeader(headername);
        //tableHeaderColumnService.saveBatch(header);
        return header;
    }
    @PostMapping("/data")
    private List<LinkedHashMap<String, Object>> getData(@RequestBody Map map){
        String sql = (String) map.get("sql");
        List<LinkedHashMap<String, Object>> lm = objectMapper.selectAll(sql);
        System.out.println();
        return lm;
    }

    @GetMapping("/test")
    private List<TableHeaderColumn> test(){
        List<TableHeaderColumn> list = tableHeaderColumnService.list();
        return list;
    }
}
